cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacob Weber (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CB-10955) deployment-target ignored during build, breaking iOS 7 support
Date Thu, 24 Mar 2016 18:19:25 GMT

     [ https://issues.apache.org/jira/browse/CB-10955?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jacob Weber updated CB-10955:
-----------------------------
    Description: 
Regardless of whether I set the "deployment-target" preference in config.xml, Cordova builds
an app that requires a minimum of iOS 8.0. As a result, I can no longer build apps for iOS
7.

Create a new cordova project, and add to its config.xml:
{code}
<engine name="ios" spec="~4.1.0" />
<preference name="deployment-target" value="7.0" />
{code}

Run {{cordova prepare --verbose}} and {{cordova build}}. During the prepare phase, I see this
message (three times, for some reason):
{code}
Set IPHONEOS_DEPLOYMENT_TARGET to "7.0".
{code}

And if I open the app in Xcode, it shows "Deployment Target" set to 7.0.

But the resulting .app file's Info.plist contains:
{code}
<key>MinimumOSVersion</key>
<string>8.0</string>
{code}

So I can't install it on iOS 7; I get this error on the device:
{code}
 installd[551] <Error>: 0x10050c000 verify_bundle_metadata: The system version is lower
than the minimum OS version
{code}

This is still the case if I set "deployment-target" to 9.0.

This seems to be because {{cordova/build.xcconfig}} includes the line:
{code}
IPHONEOS_DEPLOYMENT_TARGET = 8.0
{code}

  was:
Regardless of whether I set the "deployment-target" preference in config.xml, Cordova builds
an app that requires a minimum of iOS 8.0. As a result, I can no longer build apps for iOS
7.

Create a new cordova project, and add to its config.xml:
{code}
<engine name="ios" spec="~4.1.0" />
<preference name="deployment-target" value="7.0" />
{code}

Run {{cordova prepare --verbose}} and {{cordova build}}. During the prepare phase, I see this
message (three times, for some reason):
{code}
Set IPHONEOS_DEPLOYMENT_TARGET to "7.0".
{code}

And if I open the app in Xcode, it shows "Deployment Target" set to 7.0.

But the resulting .app file's Info.plist contains:
{code}
<key>MinimumOSVersion</key>
<string>8.0</string>
{code}

So I can't install it on iOS 7; I get this error on the device:
{code}
 installd[551] <Error>: 0x10050c000 verify_bundle_metadata: The system version is lower
than the minimum OS version
{code}

This is still the case if I set "deployment-target" to 9.0.


> deployment-target ignored during build, breaking iOS 7 support
> --------------------------------------------------------------
>
>                 Key: CB-10955
>                 URL: https://issues.apache.org/jira/browse/CB-10955
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: iOS
>    Affects Versions: 4.1.0
>         Environment: cordova-ios 4.1.0
> cordova cli 6.0.0
> Mac OS 10.11.3
>            Reporter: Jacob Weber
>
> Regardless of whether I set the "deployment-target" preference in config.xml, Cordova
builds an app that requires a minimum of iOS 8.0. As a result, I can no longer build apps
for iOS 7.
> Create a new cordova project, and add to its config.xml:
> {code}
> <engine name="ios" spec="~4.1.0" />
> <preference name="deployment-target" value="7.0" />
> {code}
> Run {{cordova prepare --verbose}} and {{cordova build}}. During the prepare phase, I
see this message (three times, for some reason):
> {code}
> Set IPHONEOS_DEPLOYMENT_TARGET to "7.0".
> {code}
> And if I open the app in Xcode, it shows "Deployment Target" set to 7.0.
> But the resulting .app file's Info.plist contains:
> {code}
> <key>MinimumOSVersion</key>
> <string>8.0</string>
> {code}
> So I can't install it on iOS 7; I get this error on the device:
> {code}
>  installd[551] <Error>: 0x10050c000 verify_bundle_metadata: The system version
is lower than the minimum OS version
> {code}
> This is still the case if I set "deployment-target" to 9.0.
> This seems to be because {{cordova/build.xcconfig}} includes the line:
> {code}
> IPHONEOS_DEPLOYMENT_TARGET = 8.0
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message